Bug 219050 - Review Request: gaim-libnotify - Libnotify Gaim plugin
Review Request: gaim-libnotify - Libnotify Gaim plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 211834 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-09 22:59 EST by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-10 13:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-12-09 22:59:55 EST
Spec URL: http://thecodergeek.com/downloads/fedora/gaim-libnotify.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/gaim-libnotify-0.12-1.src.rpm
Description: gaim-libnotify is a plugin for the open-source Gaim instant messaging client that
uses libnotify to display graphic notifications of new messages and other
events such as a buddy signing on or off.

This was previously submitted in bug #211834, but the reporter (Jon Nettleton) decided that "this entire process is a bit much for [him]." However, I find it to be a very nice replacement for Guifications, and so would like to see it in Extras.
Comment 1 Mamoru TASAKA 2006-12-09 23:57:27 EST
*** Bug 211834 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2006-12-10 02:36:34 EST
Well,

For http://fedoraproject.org/wiki/Packaging/Guidelines :
* Use rpmlint
  - rpmlint complains:
---------------------------------------------------------
[root@localhost mock]# rpmlint gaim-libnotify
E: gaim-libnotify description-line-too-long gaim-libnotify is a plugin for the
open-source Gaim instant messaging client that
[root@localhost mock]# rpmlint gaim-libnotify
E: gaim-libnotify description-line-too-long gaim-libnotify is a plugin for the
open-source Gaim instant messaging client that
[root@localhost mock]# rpmlint -I description-line-too-long
description-line-too-long :
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.
---------------------------------------------------------

* File and Directory Ownership
  - /usr/lib/gaim
  This directory is not owned by any package required by this
  rpm. This package should need gaim as Requires.

* BuildRequires
  - Why does this package need
    gettext perl-XML-Parser
    as BuildRequires? Mockbuild for FC-devel i386 is fine without
    these two packages.
Comment 3 Peter Gordon 2006-12-10 03:15:10 EST
(In reply to comment #2)
> [root@localhost mock]# rpmlint gaim-libnotify
> E: gaim-libnotify description-line-too-long gaim-libnotify is a plugin for the
> open-source Gaim instant messaging client that
> [root@localhost mock]# rpmlint gaim-libnotify
> E: gaim-libnotify description-line-too-long gaim-libnotify is a plugin for the
> open-source Gaim instant messaging client that
> [root@localhost mock]# rpmlint -I description-line-too-long
> description-line-too-long :
> Your description lines must not exceed 79 characters. If a line is exceeding
> this number, cut it to fit in two lines.

Gaah I didn't see that expansion of the %name macro would push it past this
limit. I've fixed this in release 2 (0.12-2).


* File and Directory Ownership
>   - /usr/lib/gaim
>   This directory is not owned by any package required by this
>   rpm. This package should need gaim as Requires.

Thanks for catching that. Fixed in 0.12-2

> * BuildRequires
>   - Why does this package need
>     gettext perl-XML-Parser
>     as BuildRequires? Mockbuild for FC-devel i386 is fine without
>     these two packages.

I put those in as the first ones in the spec mostly of habit when I saw that
gettext was being used for the translation foo, but then forgot to test whether
or not they were actually needed. >_> Thanks for checking this; and they're gone
in 0.12-2.

Spec: http://thecodergeek.com/downloads/fedora/gaim-libnotify.spec
Source RPM: http://thecodergeek.com/downloads/fedora/gaim-libnotify-0.12-2.src.rpm

Thanks for your time.
Comment 4 Mamoru TASAKA 2006-12-10 07:40:58 EST
Well, please consider to add "TODO" to %doc entry.
Other things are all okay.

----------------------------------------------
  This package (gaim-libnotify) is APPROVED by me.
Comment 5 Peter Gordon 2006-12-10 13:33:25 EST
Imported into CVS (with TODO added to %doc); branch requested for FC-6, and the
build for devel/FC7 is churning through the build system now.

Thanks for your review and comments!

Note You need to log in before you can comment on or make changes to this bug.